Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ginn
#Epoch:		0
Version:	0.2.3
Release:	1
License:	GNU/LGPLv3
URL:		https://launchpad.net/ginn
Group:		System/Libraries
Summary:	Gesture Injector: No-GEIS, No-Toolkits
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bamf-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: utouch-geis-devel

%description
A deamon with jinn-like wish-granting capabilities: 
it gives applications the ability to support a subset of multi-touch gestures 
without having to integrate uTouch-GEIS or multi-touch GTK/Qt libs.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ginn
%{_datadir}/ginn/wishes.xml
%{_mandir}/man1/ginn.1.gz

%files devel
%defattr(-,root,root)
%{_pkgconfig}/ginn.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.3-1
- initial CCux package release
